Problem vid instalation av PHP i Ubuntu

Trädvy Permalänk
Medlem
Plats
Solna
Registrerad
Jul 2003

Problem vid instalation av PHP i Ubuntu

Tjena,

Får detta som jag antar är ett fel medelande när jag skall installera PHP:
root@ubuntu:/home/tischan # sudo apt-get install php4
Reading package lists... Done
Building dependency tree... Done
E: Couldn't find package php4
root@ubuntu:/home/tischan #

E: Couldn't find package php4 kan inte vara något bra varför fungerar det inte?

mvh

Tischan

p.s jag använder denna FAQ : http://www.ubuntuguide.org/#installapachehttpserver

Trädvy Permalänk
Medlem
Plats
Lund
Registrerad
Mar 2002

Använd denna:
https://wiki.ubuntu.com//PHP5FromSource

(antar att det inte spelar någon roll för dig att det är den senaste versionen av php, alltså 5 och inte 4)

"Knowledge amplification. What he learns, we all learn. What he knows, we all benefit from."

Trädvy Permalänk
Medlem
Plats
Solna
Registrerad
Jul 2003
Citat:

Ursprungligen inskrivet av KentRoyal
Använd denna:
https://wiki.ubuntu.com//PHP5FromSource

(antar att det inte spelar någon roll för dig att det är den senaste versionen av php, alltså 5 och inte 4)

tack för hjälpen dock lyckade jag fixas det själv genom denna länk: http://ubuntuforums.org/archive/index.php/t-9950.html (kan ju vara bra för någon annan)

Som jag förstår det hade jag inte tillgång till alla "apt-get" som debian har? Men det fixar man genom att ge sig själv tillgång till dem.

Tog inte php5 eftersom jag har hört ryckten om att det inte fungerar så bra till Ubuntu, så,jag tog det säkra för det osäkra. Har jag fel?

mvh

Tischan

Trädvy Permalänk
Medlem
Plats
Lund
Registrerad
Mar 2002
Citat:

Ursprungligen inskrivet av tischan
tack för hjälpen dock lyckade jag fixas det själv genom denna länk: http://ubuntuforums.org/archive/index.php/t-9950.html (kan ju vara bra för någon annan)

Som jag förstår det hade jag inte tillgång till alla "apt-get" som debian har? Men det fixar man genom att ge sig själv tillgång till dem.

Tog inte php5 eftersom jag har hört ryckten om att det inte fungerar så bra till Ubuntu, så,jag tog det säkra för det osäkra. Har jag fel?

mvh

Tischan

Nu blir detta svaret aning sent.
Förstod inte vad du menade med apt-getfrågan riktigt, men apt-get är bra att använda så mycket man kan, tycker jag iaf.
Angående php5 till Ubuntu så är jag relativt säker på att du har helt fel

"Knowledge amplification. What he learns, we all learn. What he knows, we all benefit from."